ruby/test_m17n_comb.rb test_str_crypt tests platform-specific crypt behavior

04/07/2015 08:36 PM - headius (Charles Nutter)

Status: Closed   

Priority: Normal   

Assignee: headius (Charles Nutter)   

Target version:    

ruby -v: trunk Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONE

Description

I think we should just remove the glibc version guards in test_str_crypt in test/ruby/test_m17n_comb.rb.

1. JRuby can't determine glibc version without making a glibc-specific call (because we have no build-time configure script or

similar)

2. On platforms that use glibc but don't report version, this guard won't work.

3. Do we really want to be testing linux-specific crypt behavior?

I propose that we just make the test skip non-alpha salt unconditionally.

Associated revisions

Revision aa4dc2b0dff042bd1d42994d3f55cdcf884a252f - 07/03/2015 06:55 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 50366: [Backport #11045]

    * test/ruby/test_m17n_comb.rb: test_str_crypt split into strict

 and non-strict versions to allow masking out non-strict when

glibc version cannot be determined (#11045).

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@51130 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision aa4dc2b0 - 07/03/2015 06:55 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 50366: [Backport #11045]

    * test/ruby/test_m17n_comb.rb: test_str_crypt split into strict

 and non-strict versions to allow masking out non-strict when

glibc version cannot be determined (#11045).

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@51130 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/08/2015 01:46 AM - nobu (Nobuyoshi Nakada)

Charles Nutter wrote:

1. Do we really want to be testing linux-specific crypt behavior?

 I don't think we want, it's just an implementation regression test.

I propose that we just make the test skip non-alpha salt unconditionally.

 Or we need a standard way to isolate this kind of tests.

#2 - 04/09/2015 04:59 PM - headius (Charles Nutter)

Nobuyoshi Nakada wrote:

Or we need a standard way to isolate this kind of tests.

 That's not a bad idea, actually. I will split the Linux-specific regression part into a separate test. JRuby uses excludes to mask tests, so that will allow
us to exclude the platform-specific one.

#3 - 04/21/2015 06:45 PM - headius (Charles Nutter)

- Status changed from Open to Closed

Fixed by r50366.

#4 - 04/21/2015 06:45 PM - headius (Charles Nutter)

- Assignee set to headius (Charles Nutter)

#5 - 06/30/2015 04:20 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: WONTFIX, 2.1: REQUIRED, 2.2: REQUIRED

#6 - 07/03/2015 08:37 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: WONTFIX, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED

#7 - 07/03/2015 06:55 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE

Backported into ruby_2_2 branch at r51130.
